(function ($) {
	
	"use strict";

	var $document = $(document),
		$window = $(window),
		forms = {
			contactForm: $('#contactform'),
			appointmentForm: $('#appointment-form')
		};

	$document.ready(function () {

		// appointment form
		if (forms.appointmentForm.length) {
			var $appointmentForm = forms.appointmentForm;
			$appointmentForm.validate({
				rules: {
					name: {
						required: true,
						minlength: 2
					},
lastname: {
						required: true,
						minlength: 2
					},
					message: {
						required: true,
						minlength: 20
					},
phone: {
						required: true,
						minlength: 10
					},
 
					email: {
						required: true,
						email: true
					}

				},
				messages: {
					name: {
						required: "Please enter your Full Name",
						minlength: "Your name must consist of at least 2 characters"
					},
 
lastname: {
						required: "Please enter your Last Name",
						minlength: "Your name must consist of at least 2 characters"
					},
					message: {
						required: "Please enter message",
						minlength: "Your message must consist of at least 20 characters"
					},
phone: {
						required: "Please enter your Phone Number",
						minlength: "Your name must consist of at least 10 characters"
					},
					email: {
						required: "Please enter your email"
					}
				},

				submitHandler: function (form) {
					$(form).ajaxSubmit({
						type: "POST",
						data: $(form).serialize(),
						url: "form/process-appointment.php",
						success: function () {
							$('#successAppointment').fadeIn();
							$('#appointment-form').each(function () {
								this.reset();
							});
						},
						error: function () {
							$('#appointment-form').fadeTo("slow", 0, function () {
								$('#errorAppointment').fadeIn();
							});
						}
					});
				}
			});
		}

		// contact page form
		if (forms.contactForm.length) {
			var $contactform = forms.contactForm;
			$contactform.validate({
				rules: {
					name: {
						required: true,
						minlength: 2
					},
phone: {
						required: true,
						minlength: 10
					},
lastname: {
						required: true,
						minlength: 2
					},
others: {
						required: true,
						minlength: 2
					},
					message: {
						required: true,
						minlength: 20
					},
					email: {
						required: true,
						email: true
					}

				},
				messages: {
					name: {
						required: "Please enter your Full Name",
						minlength: "Your name must consist of at least 2 characters"
					},
phone: {
						required: "Please enter your Phone Number",
						minlength: "Your name must consist of at least 10 characters"
					},
lastname: {
						required: "Please enter your Last Name",
						minlength: "Your name must consist of at least 2 characters"
					},
others: {
						required: "Please specify given field.",
						minlength: "Your name must consist of at least 2 characters"
					},

					message: {
						required: "Please enter message",
						minlength: "Your message must consist of at least 20 characters"
					},
					email: {
						required: "Please enter your email"
					}
				},
				 
			});
		}
		// datepicker
		$('.form_date_1').datetimepicker({
			language: 'en',
			weekStart: 1,
			todayBtn: 1,
			autoclose: 1,
			todayHighlight: 1,
			startView: 2,
			minView: 2,
			forceParse: 0,
			container: '.dtp_1'
		});
		$('.form_date_2').datetimepicker({
			language: 'en',
			weekStart: 1,
			todayBtn: 1,
			autoclose: 1,
			todayHighlight: 1,
			startView: 2,
			minView: 2,
			forceParse: 0,
			container: '.dtp_2'
		});
		$('.form_date_3').datetimepicker({
			language: 'en',
			weekStart: 1,
			todayBtn: 1,
			autoclose: 1,
			todayHighlight: 1,
			startView: 2,
			minView: 2,
			forceParse: 0,
			container: '.dtp_3'
		});
		$('.form_time').datetimepicker({
			language: 'en',
			weekStart: 1,
			todayBtn: 1,
			autoclose: 1,
			todayHighlight: 1,
			startView: 1,
			minView: 0,
			maxView: 1,
			forceParse: 0,
			container: '.dtp_4'
		});

	});
	
})(jQuery);